Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.policy.loader
Class DefaultPolicyLoader

    java.lang.Object
      org.eclipse.jetty.policy.loader.DefaultPolicyLoader

    public class DefaultPolicyLoader

extends java.lang.Object

Load the policies within the stream and resolve into protection domains and permission collections

Constructor Summary
`DefaultPolicyLoader()`

Method Summary
`static java.util.Set<PolicyBlock>` | `load(java.io.InputStream policyStream, PolicyContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultPolicyLoader

    public DefaultPolicyLoader()

Method Detail

### load

    public static java.util.Set<PolicyBlock> load(java.io.InputStream policyStream,
                                                  PolicyContext context)
                                           throws PolicyException

  Throws:
    `PolicyException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.